For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList agent phone numbers
      • POSTCreate agent phone number
      • GETGet agent phone number
      • DELDelete agent phone number
      • DELForce delete agent phone number
Status
LogoLogo
API ReferenceAgent Phone Numbers

Create agent phone number

POST
https://app.resemble.ai/api/v2/phone_numbers
POST
/api/v2/phone_numbers
$curl -X POST https://app.resemble.ai/api/v2/phone_numbers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "phone_number": "string",
> "label": "string"
>}'
200Successful
1{
2 "success": true,
3 "item": {},
4 "message": "string"
5}
Create a new agent phone number
Was this page helpful?
Previous

Get agent phone number

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Request

This endpoint expects an object.
phone_numberstringRequired
E.164 formatted phone number
labelstringRequired
supports_inboundbooleanOptionalDefaults to false
supports_outboundbooleanOptionalDefaults to false
providerenumOptional
Allowed values:
twilio_account_sidstringOptional
twilio_auth_tokenstringOptional
outbound_trunkobjectOptional
inbound_trunkobjectOptional

Response

Phone number created
successboolean
itemobject
messagestring